## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl
Class ImperativeOCLFactoryImpl

    java.lang.Object
      EFactoryImpl
          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeOCLFactoryImpl

All Implemented Interfaces:
  ImperativeOCLFactory

    public class ImperativeOCLFactoryImpl

extends EFactoryImpl
implements ImperativeOCLFactory

An implementation of the model Factory.

Field Summary

Fields inherited from interface org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.ImperativeOCLFactory
`eINSTANCE`

Constructor Summary
`ImperativeOCLFactoryImpl()` Creates an instance of the factory

Method Summary
`java.lang.String` `convertSeverityKindToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(EDataType eDataType, java.lang.Object instanceValue)`
`EObject` `create(EClass eClass)`
`AltExp` `createAltExp()`
`AssertExp` `createAssertExp()`
`AssignExp` `createAssignExp()`
`BlockExp` `createBlockExp()`
`BreakExp` `createBreakExp()`
`CatchExp` `createCatchExp()`
`ComputeExp` `createComputeExp()`
`ContinueExp` `createContinueExp()`
`DictionaryType` `createDictionaryType()`
`DictLiteralExp` `createDictLiteralExp()`
`DictLiteralPart` `createDictLiteralPart()`
`ForExp` `createForExp()`
`java.lang.Object` `createFromString(EDataType eDataType, java.lang.String initialValue)`
`ImperativeIterateExp` `createImperativeIterateExp()`
`InstantiationExp` `createInstantiationExp()`
`ListLiteralExp` `createListLiteralExp()`
`ListType` `createListType()`
`LogExp` `createLogExp()`
`OrderedTupleLiteralExp` `createOrderedTupleLiteralExp()`
`OrderedTupleLiteralPart` `createOrderedTupleLiteralPart()`
`OrderedTupleType` `createOrderedTupleType()`
`RaiseExp` `createRaiseExp()`
`ReturnExp` `createReturnExp()`
`SeverityKind` `createSeverityKindFromString(EDataType eDataType, java.lang.String initialValue)`
`SwitchExp` `createSwitchExp()`
`TryExp` `createTryExp()`
`Typedef` `createTypedef()`
`UnlinkExp` `createUnlinkExp()`
`UnpackExp` `createUnpackExp()`
`VariableInitExp` `createVariableInitExp()`
`WhileExp` `createWhileExp()`
`ImperativeOCLPackage` `getImperativeOCLPackage()`
`static ImperativeOCLPackage` `getPackage()` Deprecated.
`static ImperativeOCLFactory` `init()` Creates the default factory implementation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImperativeOCLFactoryImpl

    public ImperativeOCLFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static ImperativeOCLFactory init()

  Creates the default factory implementation.

### create

    public EObject create(EClass eClass)

### createFromString

    public java.lang.Object createFromString(EDataType eDataType,
                                             java.lang.String initialValue)

### convertToString

    public java.lang.String convertToString(EDataType eDataType,
                                            java.lang.Object instanceValue)

### createAltExp

    public AltExp createAltExp()

  Specified by:
    `createAltExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Alt Exp'.

### createAssertExp

    public AssertExp createAssertExp()

  Specified by:
    `createAssertExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Assert Exp'.

### createAssignExp

    public AssignExp createAssignExp()

  Specified by:
    `createAssignExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Assign Exp'.

### createBlockExp

    public BlockExp createBlockExp()

  Specified by:
    `createBlockExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Block Exp'.

### createBreakExp

    public BreakExp createBreakExp()

  Specified by:
    `createBreakExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Break Exp'.

### createCatchExp

    public CatchExp createCatchExp()

  Specified by:
    `createCatchExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Catch Exp'.

### createComputeExp

    public ComputeExp createComputeExp()

  Specified by:
    `createComputeExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Compute Exp'.

### createContinueExp

    public ContinueExp createContinueExp()

  Specified by:
    `createContinueExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Continue Exp'.

### createDictLiteralExp

    public DictLiteralExp createDictLiteralExp()

  Specified by:
    `createDictLiteralExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Dict Literal Exp'.

### createDictLiteralPart

    public DictLiteralPart createDictLiteralPart()

  Specified by:
    `createDictLiteralPart` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Dict Literal Part'.

### createDictionaryType

    public DictionaryType createDictionaryType()

  Specified by:
    `createDictionaryType` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Dictionary Type'.

### createForExp

    public ForExp createForExp()

  Specified by:
    `createForExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'For Exp'.

### createImperativeIterateExp

    public ImperativeIterateExp createImperativeIterateExp()

  Specified by:
    `createImperativeIterateExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Imperative Iterate Exp'.

### createInstantiationExp

    public InstantiationExp createInstantiationExp()

  Specified by:
    `createInstantiationExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Instantiation Exp'.

### createListLiteralExp

    public ListLiteralExp createListLiteralExp()

  Specified by:
    `createListLiteralExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'List Literal Exp'.
  Since:
    3.0

### createListType

    public ListType createListType()

  Specified by:
    `createListType` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'List Type'.

### createLogExp

    public LogExp createLogExp()

  Specified by:
    `createLogExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Log Exp'.

### createOrderedTupleLiteralExp

    public OrderedTupleLiteralExp createOrderedTupleLiteralExp()

  Specified by:
    `createOrderedTupleLiteralExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Ordered Tuple Literal Exp'.

### createOrderedTupleLiteralPart

    public OrderedTupleLiteralPart createOrderedTupleLiteralPart()

  Specified by:
    `createOrderedTupleLiteralPart` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Ordered Tuple Literal Part'.

### createOrderedTupleType

    public OrderedTupleType createOrderedTupleType()

  Specified by:
    `createOrderedTupleType` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Ordered Tuple Type'.

### createRaiseExp

    public RaiseExp createRaiseExp()

  Specified by:
    `createRaiseExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Raise Exp'.

### createReturnExp

    public ReturnExp createReturnExp()

  Specified by:
    `createReturnExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Return Exp'.

### createSwitchExp

    public SwitchExp createSwitchExp()

  Specified by:
    `createSwitchExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Switch Exp'.

### createTryExp

    public TryExp createTryExp()

  Specified by:
    `createTryExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Try Exp'.

### createTypedef

    public Typedef createTypedef()

  Specified by:
    `createTypedef` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Typedef'.

### createUnlinkExp

    public UnlinkExp createUnlinkExp()

  Specified by:
    `createUnlinkExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Unlink Exp'.

### createUnpackExp

    public UnpackExp createUnpackExp()

  Specified by:
    `createUnpackExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Unpack Exp'.

### createVariableInitExp

    public VariableInitExp createVariableInitExp()

  Specified by:
    `createVariableInitExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Variable Init Exp'.

### createWhileExp

    public WhileExp createWhileExp()

  Specified by:
    `createWhileExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'While Exp'.

### createSeverityKindFromString

    public SeverityKind createSeverityKindFromString(EDataType eDataType,
                                                     java.lang.String initialValue)

### convertSeverityKindToString

    public java.lang.String convertSeverityKindToString(EDataType eDataType,
                                                        java.lang.Object instanceValue)

### getImperativeOCLPackage

    public ImperativeOCLPackage getImperativeOCLPackage()

  Specified by:
    `getImperativeOCLPackage` in interface `ImperativeOCLFactory`
  Returns:
    the package supported by this factory.

### getPackage

    @Deprecated
    public static ImperativeOCLPackage getPackage()

  Deprecated.

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.